uulib-0.9.24: Haskell Utrecht Tools Library

Safe Haskell | Safe
Language | Haskell98

UU.Scanner.GenToken

# Documentation

data GenToken key tp val Source #

Constructors

Reserved !key !Pos |
ValToken !tp val !Pos |

#### Instances

Instances details

Show Token |
Instance details Defined in UU.Scanner.TokenShow Methods showsPrec :: Int -> Token -> ShowS show :: Token -> String # showList :: [Token] -> ShowS
(Eq key, Eq tp) => Eq (GenToken key tp val) |
Instance details Defined in UU.Scanner.GenTokenOrd Methods (==) :: GenToken key tp val -> GenToken key tp val -> Bool (/=) :: GenToken key tp val -> GenToken key tp val -> Bool
(Ord key, Ord tp) => Ord (GenToken key tp val) |

Instance details

Defined in UU.Scanner.GenTokenOrd

Methods

compare :: GenToken key tp val -> GenToken key tp val -> Ordering

(<) :: GenToken key tp val -> GenToken key tp val -> Bool

(<=) :: GenToken key tp val -> GenToken key tp val -> Bool

(>) :: GenToken key tp val -> GenToken key tp val -> Bool

(>=) :: GenToken key tp val -> GenToken key tp val -> Bool

max :: GenToken key tp val -> GenToken key tp val -> GenToken key tp val

min :: GenToken key tp val -> GenToken key tp val -> GenToken key tp val

Symbol (GenToken key tp val) Source # |
Instance details Defined in UU.Scanner.GenTokenSymbol Methods deleteCost :: GenToken key tp val -> Int# Source # symBefore :: GenToken key tp val -> GenToken key tp val Source # symAfter :: GenToken key tp val -> GenToken key tp val Source #

position :: GenToken k t v -> Pos Source #